Subject: bug#44118: 28.0.50; Unwanted switch of foreground colour in *shell* buffer

From: Peter Dyballa <[email-masked]>
Date: Mon, 22 Feb 2021 21:03:49 +0100

> Am 22.2.2021 um 17:12 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
> I've pushed a fix for a related ANSI-colouring problem to Emacs 28
> earlier today.  Could you check whether this fixes the problem you're
> seeing, by any chance?

Hello Lars!

I "patched" the Portfile for GNU Emacs 28.0.50 to use this new software revision. The port programme just fetched the sources via '/usr/bin/git checkout -q f1fa35f0914f5de6d0dbfde9cd00cc7ab1b20ebd'. I found the branch version on https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f1fa35f0914f5de6d0dbfde9cd00cc7ab1b20ebd.

GNU Emacs built meanwhile. I hope I also manage to install this version vie the port system!

--
Greetings

  Pete

"What do you think of Western Civilisation?"
"I think it would be a good idea!" 
				– Mohandas Karamchand Gandhi